Skip to content
GET /unified/finance/accounts

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Accounts

created_atstring · date-time

The date and time when the account was created

1 supported
Akoya
supported
currencyobject

Currency used for the account

2 supported
Akoya
supported
Plaid
supported
3 properties
codestring

Currency code

idstring

Unique identifier of the currency

namestring

Human readable currency name

descriptionstring

Short description of the account

1 supported
Akoya
supported
idstring

Unique identifier of the account

2 supported
Akoya
supported
Plaid
supported
namestring

Name of the account

2 supported
Akoya
supported
Plaid
supported
numberstring

The account number, usually masked to last 4 digits

2 supported
Akoya
supported
Plaid
supported
productobject

The product that the account is an instance of

2 supported
Akoya
supported
Plaid
supported
2 properties
idstring

Unique identifier of the product

namestring

Human readable name of the product

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusobject

Status of the account

1 supported
Akoya
supported
2 properties
idstring

Unique identifier of the status

namestring

Name of the status

sub_typestring

Subclassification of the account within the primary account type

2 supported
Akoya
supported
Plaid
supported
typestring

The primary account type

Possible values:
investmentcreditdespositoryloanbrokerage
2 supported
Akoya
supported
Plaid
supported
updated_atstring · date-time

The date and time when the account was last updated

2 supported
Akoya
supported
Plaid
supported
curl -X GET 'https://api.truto.one/unified/finance/accounts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/finance/accounts?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/finance/accounts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'finance',
  'accounts',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "finance",
        "accounts",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())